
/***************************************************************************
 *   This file is part of Aspect, a simple PEC tool.                       *
 *                                                                         *
 *   Copyright (C) 2007 by Wolfgang Hoffmann <woho@woho.de>                *
 *                                                                         *
 *   This program is free software, licensed under the GPL v2.             *
 *   See the file COPYING for more details.                                *
 ***************************************************************************/


#ifndef ASPECT_DATAPEMCU_H
#define ASPECT_DATAPEMCU_H


#include "data.h"

#include <QList>
#include <QWidget>

class QStandardItem;
class QStandardItemModel;

namespace Ui { class DataPeMcu; };


class DataPeMcu: public QWidget, public IPeRawData
    {
    Q_OBJECT

public:
    DataPeMcu(QWidget *pParent = 0);
    ~DataPeMcu();

    void clearData();
    bool probePeFile(const QString &qsFileName) const;
    bool loadPeFile(const QString &qsFileName);
    QList<PeRawSample> samples() const;

signals:
    void dataPeChanged(IPeRawData *pData);

private slots:
    void changePeItem(QStandardItem *pItem);

private:
    void recalcPeRaw();

private:
    Ui::DataPeMcu *m_pUi;
    QList<PeRawSample> m_lstPeRaw;
    QStandardItemModel *m_pPeModel;
    };


#endif // ASPECT_DATAPEMCU_H

